package com.ruoyi.interfaces.mapper;


import com.ruoyi.interfaces.domain.PtApp;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface PtAppMapper {

    int deleteByPrimaryKey(String appId);

    int insert(PtApp record);

    int insertSelective(PtApp record);

    PtApp selectByPrimaryKey(String appId);

    int updateByPrimaryKeySelective(PtApp record);

    int updateByPrimaryKey(PtApp record);

    List<PtApp> selectAll(PtApp ptApp);

    List<PtApp> listByIds(@Param("ids") String[] ids);
}
